package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Dot1xEapOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class Dot1xEapOpenApiVo   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("radiusProfileId")
  private String radiusProfileId;

  @JsonProperty("macFormat")
  private Integer macFormat;

  @JsonProperty("eaps")
  @Valid
  private List<Dot1xEapSettingOpenApiVo> eaps = null;

  public Dot1xEapOpenApiVo enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * EAP 802.1x function enable status
   * @return enable
  */
  @ApiModelProperty(required = true, value = "EAP 802.1x function enable status")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public Dot1xEapOpenApiVo radiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
    return this;
  }

  /**
   * This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface
   * @return radiusProfileId
  */
  @ApiModelProperty(value = "This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface")


  public String getRadiusProfileId() {
    return radiusProfileId;
  }

  public void setRadiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
  }

  public Dot1xEapOpenApiVo macFormat(Integer macFormat) {
    this.macFormat = macFormat;
    return this;
  }

  /**
   * Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF
   * @return macFormat
  */
  @ApiModelProperty(value = "Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF")


  public Integer getMacFormat() {
    return macFormat;
  }

  public void setMacFormat(Integer macFormat) {
    this.macFormat = macFormat;
  }

  public Dot1xEapOpenApiVo eaps(List<Dot1xEapSettingOpenApiVo> eaps) {
    this.eaps = eaps;
    return this;
  }

  public Dot1xEapOpenApiVo addEapsItem(Dot1xEapSettingOpenApiVo eapsItem) {
    if (this.eaps == null) {
      this.eaps = new ArrayList<>();
    }
    this.eaps.add(eapsItem);
    return this;
  }

  /**
   * Enabled eap ports
   * @return eaps
  */
  @ApiModelProperty(value = "Enabled eap ports")

  @Valid

  public List<Dot1xEapSettingOpenApiVo> getEaps() {
    return eaps;
  }

  public void setEaps(List<Dot1xEapSettingOpenApiVo> eaps) {
    this.eaps = eaps;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Dot1xEapOpenApiVo dot1xEapOpenApiVo = (Dot1xEapOpenApiVo) o;
    return Objects.equals(this.enable, dot1xEapOpenApiVo.enable) &&
        Objects.equals(this.radiusProfileId, dot1xEapOpenApiVo.radiusProfileId) &&
        Objects.equals(this.macFormat, dot1xEapOpenApiVo.macFormat) &&
        Objects.equals(this.eaps, dot1xEapOpenApiVo.eaps);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, radiusProfileId, macFormat, eaps);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Dot1xEapOpenApiVo {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    radiusProfileId: ").append(toIndentedString(radiusProfileId)).append("\n");
    sb.append("    macFormat: ").append(toIndentedString(macFormat)).append("\n");
    sb.append("    eaps: ").append(toIndentedString(eaps)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

